Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pipeline Input Set

This contains APIs related to Input Sets

List Input Sets

get

Lists all Input Sets for a Pipeline

Query parameters
pageIndexinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 100
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline identifier for which we need the Input Sets list.

inputSetTypestring · enumOptional

Type of Input Set. The default value is ALL.

Default: ALLPossible values:
searchTermstringOptional

Search term to filter out Input Sets based on name, identifier, tags.

sortOrdersstring[]Optional

Sort criteria for the elements.

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

getDefaultFromOtherRepobooleanOptional

if true, return all the default entities

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/inputSets
GET /gateway/pipeline/api/inputSets?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create an Input Set

post

Creates an Input Set for a Pipeline

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

pipelineBranchstringOptional

Github branch of the Pipeline for which the Input Set is to be created

pipelineRepoIDstringOptional

Github Repo identifier of the Pipeline for which the Input Set is to be created

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringOptional

Path to the root folder of the Entity. [Applicable for Old Git Sync only]

filePathstringOptional

File Path of the Entity.

commitMsgstringOptional

File Path of the Entity.

isNewBranchbooleanOptional

Checks the new branch

Default: false
baseBranchstringOptional

Name of the default branch.

connectorRefstringOptional

Identifier of Connector needed for CRUD operations on the respective Entity

storeTypestring · enumOptional

Tells whether the Entity is to be saved on Git or not

Possible values:
repoNamestringOptional

Name of the repository.

isHarnessCodeRepobooleanOptional

Is Harness code repo enabled

InputSetVersionstringOptional

Input set yaml version, should be one of '0' or '1'

Default: 0
Body
stringOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets
POST /gateway/pipeline/api/inputSets?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/yaml
Accept: */*
Content-Length: 1805

"|
  inputSet:
      name: Sample Input Set
      tags: {}
      identifier: Sample_Input_Set
      orgIdentifier: default
      projectIdentifier: MISC
      pipeline:
          identifier: Sample_Pipeline
          stages:
              - stage:
                    identifier: Sample_Stage
                    type: Approval
                    spec:
                        execution:
                            steps:
                                - step:
                                      identifier: Approval_Step
                                      type: HarnessApproval
                                      spec:
                                          approvers:
                                              userGroups:
                                                  - account.Admins
                                - step:
                                      identifier: Shellscript_Step
                                      type: ShellScript
                                      spec:
                                          source:
                                              type: Inline
                                              spec:
                                                  script: echo \"ShellScript\"
              - stage:
                    identifier: Sample_Deploy_Stage
                    type: Deployment
                    spec:
                        serviceConfig:
                            serviceRef: Service1
                        infrastructure:
                            environmentRef: Env1
                            infrastructureDefinition:
                                type: KubernetesDirect
                                spec:
                                    connectorRef: account.harnessciplatform
                                    namespace: sample
"
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create an Overlay Input Set for a pipeline

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringOptional

Path to the root folder of the Entity. [Applicable for Old Git Sync only]

filePathstringOptional

File Path of the Entity.

commitMsgstringOptional

File Path of the Entity.

isNewBranchbooleanOptional

Checks the new branch

Default: false
baseBranchstringOptional

Name of the default branch.

connectorRefstringOptional

Identifier of Connector needed for CRUD operations on the respective Entity

storeTypestring · enumOptional

Tells whether the Entity is to be saved on Git or not

Possible values:
repoNamestringOptional

Name of the repository.

isHarnessCodeRepobooleanOptional

Is Harness code repo enabled

InputSetVersionstringOptional

Input set yaml version, should be one of '0' or '1'

Default: 0
Body
stringOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets/overlay
POST /gateway/pipeline/api/inputSets/overlay?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch an Input Set

get

Returns Input Set for a Given Identifier (Throws an Error if no Input Set Exists)

Path parameters
inputSetIdentifierstringRequired

Identifier for the Input Set

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

pipelineBranchstringOptional

Github branch of the Pipeline for which the Input Set is to be fetched

pipelineRepoIDstringOptional

Github Repo identifier of the Pipeline for which the Input Set is to be fetched

loadFromFallbackBranchbooleanOptionalDefault: false
branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

getDefaultFromOtherRepobooleanOptional

if true, return all the default entities

Header parameters
Load-From-CachestringOptionalDefault: false
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/inputSets/{inputSetIdentifier}
GET /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update an Input Set

put

Updates the Input Set for a Pipeline

Path parameters
inputSetIdentifierstringRequired

Identifier for the Input Set that needs to be updated. An Input Set corresponding to this identifier should already exist.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

pipelineBranchstringOptional

Github branch of the Pipeline for which the Input Set is to be updated

pipelineRepoIDstringOptional

Github Repo Id of the Pipeline for which the Input Set is to be updated

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringOptional

Path to the root folder of the Entity. [Applicable for Old Git Sync only]

filePathstringOptional

File Path of the Entity.

commitMsgstringOptional

Commit Message to use for the merge commit.

lastObjectIdstringOptional

Its required field during update call request. It can be fetched from the response of GET API call for the entity

resolvedConflictCommitIdstringOptional

If the entity is git-synced, this parameter represents the commit id against which file conflicts are resolved

baseBranchstringOptional

Name of the default branch.

connectorRefstringOptional

Identifier of Connector needed for CRUD operations on the respective Entity

lastCommitIdstringOptional

last commit id of the file

isNewBranchbooleanOptional

Checks the new branch

Default: false
isHarnessCodeRepobooleanOptional

Is Harness code repo enabled

InputSetVersionstringOptional

Input set yaml version, should be one of '0' or '1'

Default: 0
Header parameters
If-MatchstringOptional

Version of Entity to match

Body
stringOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/inputSets/{inputSetIdentifier}
PUT /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/yaml
Accept: */*
Content-Length: 1805

"|
  inputSet:
      name: Sample Input Set
      tags: {}
      identifier: Sample_Input_Set
      orgIdentifier: default
      projectIdentifier: MISC
      pipeline:
          identifier: Sample_Pipeline
          stages:
              - stage:
                    identifier: Sample_Stage
                    type: Approval
                    spec:
                        execution:
                            steps:
                                - step:
                                      identifier: Approval_Step
                                      type: HarnessApproval
                                      spec:
                                          approvers:
                                              userGroups:
                                                  - account.Admins
                                - step:
                                      identifier: Shellscript_Step
                                      type: ShellScript
                                      spec:
                                          source:
                                              type: Inline
                                              spec:
                                                  script: echo \"ShellScript\"
              - stage:
                    identifier: Sample_Deploy_Stage
                    type: Deployment
                    spec:
                        serviceConfig:
                            serviceRef: Service1
                        infrastructure:
                            environmentRef: Env1
                            infrastructureDefinition:
                                type: KubernetesDirect
                                spec:
                                    connectorRef: account.harnessciplatform
                                    namespace: sample
"
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete an Input Set

delete

Deletes the Input Set by Identifier

Path parameters
inputSetIdentifierstringRequired

Identifier of the Input Set that should be deleted.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringOptional

Path to the root folder of the Entity. [Applicable for Old Git Sync only]

filePathstringOptional

File Path of the Entity.

commitMsgstringOptional

Commit Message to use for the merge commit.

lastObjectIdstringOptional

Last Object Id

Header parameters
If-MatchstringOptional

Version of Entity to match

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/inputSets/{inputSetIdentifier}
DELETE /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List regular Input Sets for multiple pipelines (excludes overlay input sets)

post

Lists regular Input Sets for multiple pipelines (excludes overlay input sets). If pipeline identifiers are not provided, fetches all accessible input sets based on RBAC permissions.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pageIndexinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 20
searchTermstringOptional

Search term to filter out Input Sets based on name, identifier, tags.

Body
pipelineIdentifiersstring[]Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets/get/batch-input-sets-metadata
POST /gateway/pipeline/api/inputSets/get/batch-input-sets-metadata?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "pipelineIdentifiers": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get multiple input sets by identifiers (non-deleted only)

post

Gets multiple input sets by their identifiers for a specific pipeline. Only returns non-deleted input sets.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier

Body
inputSetIdentifiersstring[] · min: 1Required
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets/get/bulk
POST /gateway/pipeline/api/inputSets/get/bulk?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "inputSetIdentifiers": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Merge given Input Sets into a single Runtime Input YAML

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

pipelineBranchstringOptional

Github branch of the Pipeline to which the Input Sets belong

pipelineRepoIDstringOptional

Github Repo identifier of the Pipeline to which the Input Sets belong

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

getDefaultFromOtherRepobooleanOptional

if true, return all the default entities

Header parameters
Load-From-CachestringOptionalDefault: false
Body

Contains list of Input Set references and Stage Ids

inputSetReferencesstring[]Optional

List of Input Set References to be merged

withMergedPipelineYamlbooleanOptional

This is a boolean value that indicates if the response must contain the YAML for the merged Pipeline. The default value is False.

stageIdentifiersstring[]Optional

List of Stage Ids. Input Sets corresponding to these Ids will be merged.

lastYamlToMergestringOptional

Runtime Input Yaml needed to be merged into the result of the merged Yaml of the inputSetReferences

inputSetBranchNamestringOptional

InputSetBranchName

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets/merge
POST /gateway/pipeline/api/inputSets/merge?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "inputSetReferences": [
    "text"
  ],
  "withMergedPipelineYaml": true,
  "stageIdentifiers": [
    "text"
  ],
  "lastYamlToMerge": "text",
  "inputSetBranchName": "text"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Gets an Overlay Input Set by identifier

get
Path parameters
inputSetIdentifierstringRequired

Identifier for the Overlay Input Set

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

pipelineBranchstringOptional

Github branch of the Pipeline for which the Input Set is to be fetched

pipelineRepoIDstringOptional

Github Repo identifier of the Pipeline for which the Input Set is to be fetched

loadFromFallbackBranchbooleanOptionalDefault: false
branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

getDefaultFromOtherRepobooleanOptional

if true, return all the default entities

Header parameters
Load-From-CachestringOptionalDefault: false
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/inputSets/overlay/{inputSetIdentifier}
GET /gateway/pipeline/api/inputSets/overlay/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update an Overlay Input Set for a pipeline

put
Path parameters
inputSetIdentifierstringRequired

Identifier for the Overlay Input Set that needs to be updated.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

rootFolderstringOptional

Path to the root folder of the Entity. [Applicable for Old Git Sync only]

filePathstringOptional

File Path of the Entity.

commitMsgstringOptional

Commit Message to use for the merge commit.

lastObjectIdstringOptional

Its required field during update call request. It can be fetched from the response of GET API call for the entity

resolvedConflictCommitIdstringOptional

If the entity is git-synced, this parameter represents the commit id against which file conflicts are resolved

baseBranchstringOptional

Name of the default branch.

connectorRefstringOptional

Identifier of Connector needed for CRUD operations on the respective Entity

lastCommitIdstringOptional

last commit id of the file

isNewBranchbooleanOptional

Checks the new branch

Default: false
isHarnessCodeRepobooleanOptional

Is Harness code repo enabled

InputSetVersionstringOptional

Input set yaml version, should be one of '0' or '1'

Default: 0
Header parameters
If-MatchstringOptional

Version of Entity to match

Body
stringOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/inputSets/overlay/{inputSetIdentifier}
PUT /gateway/pipeline/api/inputSets/overlay/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch Runtime Input Template

post

Returns Runtime Input Template for a Pipeline

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline identifier for which we need the Runtime Input Template.

branchstringOptional

Name of the branch.

repoIdentifierstringOptional

Git Sync Config Id. [Applicable for Old Git Sync only]

getDefaultFromOtherRepobooleanOptional

if true, return all the default entities

Header parameters
Load-From-CachestringOptionalDefault: false
Body

Contains Stage Identifiers to filter Runtime Input Template.

stageIdentifiersstring[]Optional

List of Stage identifiers for which the Runtime Input template is needed

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/inputSets/template
POST /gateway/pipeline/api/inputSets/template?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "stageIdentifiers": [
    "text"
  ],
  "serviceWithGitInfoList": [
    {
      "ref": "text",
      "branch": "text"
    }
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Refresh cache and fetch an Input Set

get

Force-refreshes the git file cache for a remote Input Set and returns the freshly fetched entity. Requires the git branch query parameter — repo default branch is not inferred when branch is omitted. Behind the PIPE_GITX_FORCE_REFRESH feature flag.

Path parameters
inputSetIdentifierstringRequired

Identifier for the Input Set

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

branchstring · min: 1Required

Name of the branch.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/inputSets/refresh-and-get/{inputSetIdentifier}
GET /gateway/pipeline/api/inputSets/refresh-and-get/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&branch=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update git-metadata in remote input-set

put

Update git-metadata in remote input-set and return the updated input-set

Path parameters
inputSetIdentifierstringRequired

Identifier for the Input Set

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline Identifier for the entity.

connectorRefstringOptional

Identifier of Connector needed for CRUD operations on the respective Entity

repoNamestringOptional

Name of the repository.

filePathstringOptional

File Path of the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/inputSets/{inputSetIdentifier}/update-git-metadata
PUT /gateway/pipeline/api/inputSets/{inputSetIdentifier}/update-git-metadata?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?